Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_CheckBox

CheckBox component
Contained in: global
Derived from: CL_Button
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_CheckBox` | `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
`` | `CL_CheckBox` | `(`const` `CL_Point`& `pos`, `const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
`` | `CL_CheckBox` | `(`const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
``virtual`` | `~CL_CheckBox` | `()`;

### Attributes:

``bool`` | `is_checked` | `() `const``;

### Operations:

``void`` | `set_checked` | `(`bool` `check`)`;

### private function member index:

### Implementation:

`` | `CL_CheckBox` | `(`const` `CL_CheckBox`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_CheckBox::CL_CheckBox - CheckBox constructor
`` `CL_CheckBox` `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_CheckBox::CL_CheckBox - CheckBox constructor
`` `CL_CheckBox` `(`const` `CL_Point`& `pos`, `const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_CheckBox::CL_CheckBox - CheckBox constructor
`` `CL_CheckBox` `(`const` `std::string`& `text`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_CheckBox::is_checked - Returns true if the checkbox is checked, or false if it is not checked.
``bool`` `is_checked` `() `const``;

CL_CheckBox::set_checked - Checks the checkbox if check is true, or unchecks it if check is false.
``void`` `set_checked` `(`bool` `check`)`;

CL_CheckBox::~CL_CheckBox - CheckBox destructor
``virtual`` `~CL_CheckBox` `()`;